KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSystemTimeZone Class Reference

`from PyKDE4.kdecore import *`

Inherits: KTimeZone

## Detailed Description

The KSystemTimeZone class represents a time zone in the system database.

It works in partnership with the KSystemTimeZoneSource class which reads and parses the time zone definition files.

Typically, instances are created and accessed via the KSystemTimeZones class.

Warning:
  The KSystemTimeZone class uses the standard system libraries to access time zone data, and its functionality is limited to what these libraries provide. On many systems, dates earlier than 1970 are not handled, and on non-GNU systems there is no guarantee that the time zone abbreviation returned for a given date will be correct if the abbreviations applicable then were not those currently in use. Consider using KSystemTimeZones.readZone() or the KTzfileTimeZone class instead, which provide accurate information from the time zone definition files (but are likely to incur more overhead).

System time zone

See also:
  KSystemTimeZones, KSystemTimeZoneSource, KSystemTimeZoneData, KTzfileTimeZone

Author:
  David Jarvie <djarvie@kde.org>.

## Methods
| __init__ (self, KSystemTimeZoneSource source, QString name, QString countryCode=QString(), float latitude=KTimeZone.UNKNOWN, float longitude=KTimeZone.UNKNOWN, QString comment=QString())

## Method Documentation

__init__ | ( | self, |
|  | KSystemTimeZoneSource | source,
|  | QString | name,
|  | QString | countryCode=QString(),
|  | float | latitude=KTimeZone.UNKNOWN,
|  | float | longitude=KTimeZone.UNKNOWN,
|  | QString | comment=QString()
| ) |  |  |

Creates a time zone.

Parameters:

  | source | tzfile reader and parser
  | name | time zone's unique name
  | countryCode | ISO 3166 2-character country code, empty if unknown
  | latitude | in degrees (between -90 and +90), UNKNOWN if not known
  | longitude | in degrees (between -180 and +180), UNKNOWN if not known
  | comment | description of the time zone, if any